summaryrefslogtreecommitdiff
path: root/tests/drm_lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/drm_lib.sh')
-rwxr-xr-xtests/drm_lib.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/drm_lib.sh b/tests/drm_lib.sh
index 25197d40..97f6f925 100755
--- a/tests/drm_lib.sh
+++ b/tests/drm_lib.sh
@@ -4,6 +4,10 @@ die() {
exit 1
}
+do_or_die() {
+ $@ > /dev/null 2>&1 || (echo "FAIL: $@ ($?)" && exit -1)
+}
+
if [ -d /debug/dri ] ; then
debugfs_path=/debug/dri
fi